> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Paginated  Runs

> Get a paginated list of runs



## OpenAPI

````yaml get /v1/runs
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/runs:
    get:
      tags:
        - V1 - Runs
      summary: Public Get Paginated Runs
      operationId: public_get_paginated_runs
      parameters:
        - name: created_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - $ref: '#/components/schemas/RunStatus'
              - type: 'null'
            title: Status
        - name: source
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: order_by
          in: query
          required: false
          schema:
            type: string
            default: created_at
            title: Order By
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: desc
            title: Sort
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Page size
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_RunNoIO_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    RunStatus:
      type: string
      enum:
        - queued
        - running
        - failed
        - completed
        - stopped
        - awaiting_human_feedback
      title: RunStatus
    Page_RunNoIO_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/RunNoIO'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
        pages:
          type: integer
          minimum: 0
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
        - pages
      title: Page[RunNoIO]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RunNoIO:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        group_id:
          type: string
          format: uuid
          title: Group Id
        workflow_id:
          type: string
          format: uuid
          title: Workflow Id
        workflow_version_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Workflow Version Id
        input:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Input
        node_ids:
          anyOf:
            - items:
                type: string
              type: array
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Node Ids
        single_node_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Single Node Id
        status:
          $ref: '#/components/schemas/RunStatus'
        progress:
          type: integer
          title: Progress
          default: 0
        definitions:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Definitions
        created_at:
          type: string
          format: date-time
          title: Created At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        finished_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finished At
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: string
            - type: 'null'
          title: User Id
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        conversation_id:
          anyOf:
            - type: string
              format: uuid
            - type: string
            - type: 'null'
          title: Conversation Id
        api_key_id:
          anyOf:
            - type: string
              format: uuid
            - type: string
            - type: 'null'
          title: Api Key Id
      type: object
      required:
        - id
        - group_id
        - workflow_id
        - status
        - created_at
      title: RunNoIO
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````